mp3splt-gtk: src/widgets_helper.c File Reference

mp3splt-gtk 0.9.3.1519

Loading...
Searching...
No Matches
widgets_helper.c File Reference
`#include "widgets_helper.h"`
Include dependency graph for widgets_helper.c:

Go to the source code of this file.

## Functions
void | wh_add_box_to_scrolled_window (GtkWidget *box, GtkWidget *scrolled_window)
void | wh_add_in_table (GtkWidget *table, GtkWidget *widget)
void | wh_add_in_table_with_label (GtkWidget *table, const gchar *label_text, GtkWidget *widget)
void | wh_add_in_table_with_label_expand (GtkWidget *table, const gchar *label_text, GtkWidget *widget)
gboolean | wh_container_has_child (GtkContainer *container, GtkWidget *my_child)
GtkWidget * | wh_create_cool_button (gchar *icon_name, gchar *label_text, gint toggle_or_not)
GtkWidget * | wh_create_cool_label (gchar *icon_name, gchar *label_text)
GtkWidget * | wh_create_int_spinner_in_box (gchar *before_label, gchar *after_label, gdouble initial_value, gdouble minimum_value, gdouble maximum_value, gdouble step_increment, gdouble page_increment, gchar *after_newline_label, void(*spinner_callback)(GtkWidget *spinner, ui_state *ui), ui_state *ui, GtkWidget *box)
GtkWidget * | wh_create_int_spinner_in_box_with_top_width (gchar *before_label, gchar *after_label, gdouble initial_value, gdouble minimum_value, gdouble maximum_value, gdouble step_increment, gdouble page_increment, gchar *after_newline_label, void(*spinner_callback)(GtkWidget *spinner, ui_state *ui), ui_state *ui, GtkWidget *box, gint top_width)
GtkWidget * | wh_create_scrolled_window ()
GtkWidget * | wh_create_window_with_close_button (gchar *title, gint width, gint height, GtkWindowPosition position, GtkWindow *parent_window, GtkWidget *main_area_widget, GtkWidget *bottom_widget,...)
void | wh_get_pointer (GdkEventMotion *event, gint *x, gint *y, GdkModifierType *state)
void | wh_get_widget_size (GtkWidget *widget, gint *width, gint *height)
GtkWidget * | wh_hbox_new ()
GtkWidget * | wh_hscale_new (GtkAdjustment *adjustment)
GtkWidget * | wh_hscale_new_with_range (gdouble min, gdouble max, gdouble step)
GtkWidget * | wh_new_button (const gchar *button_label)
GtkWidget * | wh_new_entry (gpointer callback, ui_state *ui)
GtkWidget * | wh_new_table ()
void | wh_put_in_hbox_and_attach_to_vbox (GtkWidget *widget, GtkWidget *vbox, gint vertical_margin)
void | wh_put_in_hbox_and_attach_to_vbox_with_bottom_margin (GtkWidget *widget, GtkWidget *vbox, gint vertical_margin, gint bottom_margin)
GtkWidget * | wh_put_in_new_hbox (GtkWidget *widget, gint margin, gboolean expand, gboolean fill)
GtkWidget * | wh_put_in_new_hbox_with_margin_level (GtkWidget *widget, gint margin_level)
void | wh_set_browser_directory_handler (ui_state *ui, GtkWidget *dialog)
void | wh_set_image_on_button (GtkButton *button, GtkWidget *image)
GtkWidget * | wh_set_title_and_get_vbox (GtkWidget *widget, const gchar *title)
void | wh_show_window (GtkWidget *window)
GtkWidget * | wh_vbox_new ()

## Detailed Description

this file contains the code for the widgets helpers.

Definition in file widgets_helper.c.

## Function Documentation

## ◆ wh_add_box_to_scrolled_window()

void wh_add_box_to_scrolled_window | ( | GtkWidget * | box,
|  | GtkWidget * | scrolled_window )

Definition at line 260 of file widgets_helper.c.

## ◆ wh_add_in_table()

void wh_add_in_table | ( | GtkWidget * | table,
|  | GtkWidget * | widget )

Definition at line 84 of file widgets_helper.c.

## ◆ wh_add_in_table_with_label()

void wh_add_in_table_with_label | ( | GtkWidget * | table,
|  | const gchar * | label_text,
|  | GtkWidget * | widget )

Definition at line 96 of file widgets_helper.c.

## ◆ wh_add_in_table_with_label_expand()

void wh_add_in_table_with_label_expand | ( | GtkWidget * | table,
|  | const gchar * | label_text,
|  | GtkWidget * | widget )

Definition at line 91 of file widgets_helper.c.

## ◆ wh_container_has_child()

gboolean wh_container_has_child | ( | GtkContainer * | container,
|  | GtkWidget * | my_child )

Does this GtkContainer contain that object?

Parameters

  GtkContainer | The Container that has to be searched for the child object.
  my_child | The child that has to be searched for.

Definition at line 273 of file widgets_helper.c.

Referenced by show_connect_button().

Here is the caller graph for this function:

## ◆ wh_create_cool_button()

GtkWidget * wh_create_cool_button | ( | gchar * | icon_name,
|  | gchar * | label_text,
|  | gint | toggle_or_not )

Definition at line 314 of file widgets_helper.c.

## ◆ wh_create_cool_label()

GtkWidget * wh_create_cool_label | ( | gchar * | icon_name,
|  | gchar * | label_text )

Definition at line 348 of file widgets_helper.c.

## ◆ wh_create_int_spinner_in_box()

GtkWidget * wh_create_int_spinner_in_box | ( | gchar * | before_label,
|  | gchar * | after_label,
|  | gdouble | initial_value,
|  | gdouble | minimum_value,
|  | gdouble | maximum_value,
|  | gdouble | step_increment,
|  | gdouble | page_increment,
|  | gchar * | after_newline_label,
|  | void(* | spinner_callback )(GtkWidget *spinner, ui_state *ui),
|  | ui_state * | ui,
|  | GtkWidget * | box )

Definition at line 206 of file widgets_helper.c.

## ◆ wh_create_int_spinner_in_box_with_top_width()

GtkWidget * wh_create_int_spinner_in_box_with_top_width | ( | gchar * | before_label,
|  | gchar * | after_label,
|  | gdouble | initial_value,
|  | gdouble | minimum_value,
|  | gdouble | maximum_value,
|  | gdouble | step_increment,
|  | gdouble | page_increment,
|  | gchar * | after_newline_label,
|  | void(* | spinner_callback )(GtkWidget *spinner, ui_state *ui),
|  | ui_state * | ui,
|  | GtkWidget * | box,
|  | gint | top_width )

Definition at line 163 of file widgets_helper.c.

## ◆ wh_create_scrolled_window()

GtkWidget * wh_create_scrolled_window | ( |  | ) |

creates a scrolled window

Definition at line 250 of file widgets_helper.c.

## ◆ wh_create_window_with_close_button()

GtkWidget * wh_create_window_with_close_button | ( | gchar * | title,
|  | gint | width,
|  | gint | height,
|  | GtkWindowPosition | position,
|  | GtkWindow * | parent_window,
|  | GtkWidget * | main_area_widget,
|  | GtkWidget * | bottom_widget,
|  |  | ... )

Definition at line 371 of file widgets_helper.c.

## ◆ wh_get_pointer()

void wh_get_pointer | ( | GdkEventMotion * | event,
|  | gint * | x,
|  | gint * | y,
|  | GdkModifierType * | state )

Definition at line 244 of file widgets_helper.c.

## ◆ wh_get_widget_size()

void wh_get_widget_size | ( | GtkWidget * | widget,
|  | gint * | width,
|  | gint * | height )

Definition at line 150 of file widgets_helper.c.

## ◆ wh_hbox_new()

GtkWidget * wh_hbox_new | ( |  | ) |

Definition at line 220 of file widgets_helper.c.

## ◆ wh_hscale_new()

GtkWidget * wh_hscale_new | ( | GtkAdjustment * | adjustment | ) |

Definition at line 234 of file widgets_helper.c.

## ◆ wh_hscale_new_with_range()

GtkWidget * wh_hscale_new_with_range | ( | gdouble | min,
|  | gdouble | max,
|  | gdouble | step )

Definition at line 239 of file widgets_helper.c.

## ◆ wh_new_button()

GtkWidget * wh_new_button | ( | const gchar * | button_label | ) |

Definition at line 145 of file widgets_helper.c.

## ◆ wh_new_entry()

GtkWidget * wh_new_entry | ( | gpointer | callback,
|  | ui_state * | ui )

Definition at line 132 of file widgets_helper.c.

## ◆ wh_new_table()

GtkWidget * wh_new_table | ( |  | ) |

Definition at line 75 of file widgets_helper.c.

## ◆ wh_put_in_hbox_and_attach_to_vbox()

void wh_put_in_hbox_and_attach_to_vbox | ( | GtkWidget * | widget,
|  | GtkWidget * | vbox,
|  | gint | vertical_margin )

Definition at line 113 of file widgets_helper.c.

## ◆ wh_put_in_hbox_and_attach_to_vbox_with_bottom_margin()

void wh_put_in_hbox_and_attach_to_vbox_with_bottom_margin | ( | GtkWidget * | widget,
|  | GtkWidget * | vbox,
|  | gint | vertical_margin,
|  | gint | bottom_margin )

Definition at line 118 of file widgets_helper.c.

## ◆ wh_put_in_new_hbox()

GtkWidget * wh_put_in_new_hbox | ( | GtkWidget * | widget,
|  | gint | margin,
|  | gboolean | expand,
|  | gboolean | fill )

Definition at line 106 of file widgets_helper.c.

## ◆ wh_put_in_new_hbox_with_margin_level()

GtkWidget * wh_put_in_new_hbox_with_margin_level | ( | GtkWidget * | widget,
|  | gint | margin_level )

Definition at line 101 of file widgets_helper.c.

## ◆ wh_set_browser_directory_handler()

void wh_set_browser_directory_handler | ( | ui_state * | ui,
|  | GtkWidget * | dialog )

Definition at line 302 of file widgets_helper.c.

## ◆ wh_set_image_on_button()

void wh_set_image_on_button | ( | GtkButton * | button,
|  | GtkWidget * | image )

Definition at line 290 of file widgets_helper.c.

## ◆ wh_set_title_and_get_vbox()

GtkWidget * wh_set_title_and_get_vbox | ( | GtkWidget * | widget,
|  | const gchar * | title )

Generates a window portion containing a caption and a vbox.

This function works like a chapter heading in a text processing system: You specify a title and the text processor returns an object consisting of a title and a vbox you can put the chapter contents in.
Is used to generate the consecutive named sections in a preferences tab.

Definition at line 56 of file widgets_helper.c.

## ◆ wh_show_window()

void wh_show_window | ( | GtkWidget * | window | ) |

Definition at line 409 of file widgets_helper.c.

## ◆ wh_vbox_new()

GtkWidget * wh_vbox_new | ( |  | ) |

Definition at line 227 of file widgets_helper.c.